Homebrew で Vim の最新版を入れようとしたら make でこけた

けど解決したお話。

事象

teratail.com

全くこれと同じ状況だった。下記コマンドでインストールしていて、使っているプラグインの都合上 Lua と Python は外せなかった。

brew install vim --with-luajit --with-python3

MacVim 入れるのもちょっと面倒だし嫌だな〜〜と思っていろいろ探っていたら解決した。

方法

brew doctor したら以下のメッセージが表示された。

f:id:rnitame:20180112121813p:plain

Homebrew でインストールした Ruby に link されていなかったのが原因だった。。 なので、brew link ruby してやり直す。

f:id:rnitame:20180112122159p:plain

めでたしめでたし。